From 61adf428be27bc20200c87a977692a39219f1b5f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 27 2020 05:13:31 +0000
Subject: [PATCH 695/2232] Add test for Vec<T>::at exception message


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 66200e5..4ab407b 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -209,7 +209,16 @@ void c_take_ref_vector(const std::vector<uint8_t> &v) {
 
 void c_take_rust_vec(rust::Vec<uint8_t> v) { c_take_ref_rust_vec(v); }
 
-void c_take_rust_vec_index(rust::Vec<uint8_t> v) { c_take_ref_rust_vec_index(v); }
+void c_take_rust_vec_index(rust::Vec<uint8_t> v) {
+  try {
+    v.at(100);
+  } catch (const std::out_of_range &ex) {
+    std::string expected = "Vec";
+    if (ex.what() == expected) {
+      cxx_test_suite_set_correct();
+    }
+  }
+}
 
 void c_take_rust_vec_shared(rust::Vec<Shared> v) {
   uint32_t sum = 0;

